// http://www.garyc40.com/2010/03/how-to-make-shortcodes-user-friendly/
// closure to avoid namespace collision
(function(){
	// creates the plugin
	tinymce.create('tinymce.plugins.pmrvc_button', {
		init : function(ed, url) {			
			 tinymce.plugins.pmrvc_button.theurl = url;
			 if(typeof pm_rvc_object !== "undefined") {
				var plugin_name = pm_rvc_object.pm_rvc_plugin_name;
			}

			// Register buttons
			ed.addButton('pm_rvc_mce_button', {
				title : plugin_name,
				type : 'button',
				icon: 'pm_rvc pm-rvc-icon-undo',
			// Modal window
			onclick: function() {
				ed.windowManager.open({
					id : 'pm_rvc_shortcode_modal_dialog', // wp_footer div contains HTML for our modal window
					width : 520 + parseInt(ed.getLang('button.delta_width', 0)), // size of our window
					height : 'auto', // size of our window
					title : ed.getLang( plugin_name, plugin_name ),
					wpDialog : true,
					inline : 1
				}, {
					plugin_url : tinymce.plugins.pmrvc_button.theurl
				});
			}			
			});
		},		
		
		getInfo : function() {
			return {
				longname : 'ReVisitor Content',
				author : 'Lynette Chandler',
				authorurl : 'http://techbasedmarketing.com',
				infourl : 'http://techbasedmarketing.com',
				version : tinymce.majorVersion + "." + tinymce.minorVersion
			};
		}
		
	});
	
	// registers the plugin. DON'T MISS THIS STEP!!!
	tinymce.PluginManager.add('pmrvc_button', tinymce.plugins.pmrvc_button);
	
})();