<?php
/*
Plugin Name: ReVisitor Content
Plugin URI: http://resell-rights-weekly.com
Description: Speak directly to return visitors, subscribers and customers by customizing your content just for them.
Version: 9.1.0.3
Author: RRW
Author URI: http://resell-rights-weekly.com
Stable tag: 9.1.0.3
Text Domain: pm-revisitor-content
Domain Path: /languages
*/
// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

// Define constants
if(!defined('__DIR__')) {
    define( 'PM_RVC_DIR', plugin_dir_url( __FILE__) );
    define( 'PM_RVC_PATH', dirname( __FILE__) );
} else {
	define( 'PM_RVC_DIR', WP_PLUGIN_URL.'/'.basename(__DIR__) );
	define( 'PM_RVC_PATH', WP_PLUGIN_DIR.'/'.basename(__DIR__) );
}
define( 'PM_RVC_WP_DIR', get_bloginfo('wpurl') );
define( 'PM_RVC_PLUGIN_NAME', 'ReVisitor Content' );
define( 'PM_RVC_VERSION', '9.1.0.3' );
$pm_rvc_opts = get_option( 'pm_rvc_options' );

register_activation_hook( __FILE__, 'pm_rvc_activate' );
function pm_rvc_activate() {

 $pm_rvc_options = array(  
  'del_opt_settings' =>  0,  
  );
  if( !get_option('pm_rvc_options') ){
	update_option('pm_rvc_options', $pm_rvc_options );
  }

}

//register_deactivation_hook( __FILE__, 'pm_rvc_deactivate' );
function pm_rvc_deactivate() {

}

include_once(PM_RVC_PATH.'/modules/settings.php');
include_once(PM_RVC_PATH.'/modules/functions.php');
if( !function_exists( 'shortcode_ui_register_for_shortcode' ) ) {
  include_once(PM_RVC_PATH.'/libs/shortcode-ui/shortcode-ui.php');
}
include_once(PM_RVC_PATH.'/modules/class.shortcode.php');
include_once(PM_RVC_PATH.'/modules/meta_box.php');
include_once(PM_RVC_PATH.'/modules/scripts.php');
include_once(PM_RVC_PATH.'/modules/widgets.php');